#pragma once
#include <inttypes.h>


/**
* \brief	Init the ShiftRegister module.
*/
void 		ShiftRegister_Init(void);

/**
* \brief	Set the output.
* \param	out		16-bit data, that represents the new output.
*/
void 		ShiftRegister_SetOutput(uint16_t out);

/**
* \brief	Read 16bit of input data.
* \return 	The read data.
*/
uint16_t 	ShiftRegister_GetInput(void);

